#include "monk.h"

#include "../constants.h"

monk::monk(RNG *rng, const feature enabled_features):
        player_base{rng, enabled_features, rmonk} {}

const char *monk::get_race_name() const {
        return "Monk";
}

void monk::start_turn() {
        ATK = STARTING_ATK[rmonk];
        DEF = STARTING_DEF[rmonk];
        base_hit_rate = {1, 1};
        HP = HP + GAIN_HP < MAX_HP[rmonk] ? HP + GAIN_HP : MAX_HP[rmonk];
}
